Bug 2031672 - Mousepad is missing the spell check plugin
Summary: Mousepad is missing the spell check plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mousepad
Version: 35
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-13 08:16 UTC by Ian Laurie
Modified: 2022-01-18 01:55 UTC (History)
4 users (show)

Fixed In Version: mousepad-0.5.8-2.fc36 mousepad-0.5.8-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-09 03:11:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ian Laurie 2021-12-13 08:16:00 UTC
Description of problem:
The gspell plugin is in the source rpm but for some reason doesn't seem to be in the binary rpm.

Version-Release number of selected component (if applicable):
mousepad-0.5.8-1.fc35.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run mousepad after installing gspell and libmousepad0.
2.
3.

Actual results:
The spell check plugin seems to be missing, even if gspell and libmousepad0 are installed.

Expected results:
The spell check plugin is visible and working with 0.5.8 in Debian Testing currently.

Comment 1 Salil Wadnerkar 2022-01-06 23:19:06 UTC
One more hint to what could be the problem. It seems like nousepad is compiled without any plugin support. This is the console message I see:
```
Mousepad-Message: 15:15:11.444: Plugin directory '/usr/lib64/mousepad/plugins' not found
```
Manually creating this directory does not help recognize presence of gspell.

Comment 2 Kevin Fenzi 2022-01-07 21:09:40 UTC
Yes, it's not being built currently. 

I suppose we could enable it. It does mean that mousepad will pull in gspell and thus be 'larger'. We could make a mousepad-plugins subpackage and only install it with that... but then few people might even realize it's there. :( 

Here's a scratch build with it enabled: 
https://koji.fedoraproject.org/koji/taskinfo?taskID=80968689

What do my co-maintainers think here? Should we just enable it and keep the plugin in the main package, enable it, but make a plugins subpackage, or just leave it off?

Comment 3 Ian Laurie 2022-01-07 21:52:36 UTC
Well whatever you decide to do, the scratch build works well, thanks for that.

For what drive space costs these days, my two cents would be to either include it in the main package (preferable and easier) or have a plugings package available for those who want it (and know about it).

Comment 4 Mukundan Ragavan 2022-01-08 00:10:24 UTC
Nah, let's not bother with the subpackage. I suspect gpsell is something most desktops will probably carry anyway.

I will rebuild with spell support.

Comment 5 Fedora Update System 2022-01-09 03:08:14 UTC
FEDORA-2022-c9a015a1f1 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c9a015a1f1

Comment 6 Fedora Update System 2022-01-09 03:09:36 UTC
FEDORA-2022-a650355a93 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a650355a93

Comment 7 Fedora Update System 2022-01-09 03:11:07 UTC
FEDORA-2022-c9a015a1f1 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-01-10 01:46:24 UTC
FEDORA-2022-a650355a93 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-a650355a93`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a650355a93

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Salil Wadnerkar 2022-01-13 02:32:06 UTC
I confirm that I got the update from the rawhide repo, and I can use the spellcheck plugin in mousepad now. So, we can close this bug.

Comment 10 Fedora Update System 2022-01-18 01:55:16 UTC
FEDORA-2022-a650355a93 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.